#include "clock.h"
#include <time.h>
#include <stdio.h>

static clock_t clockTime;

void startClock()
{
	clockTime = clock();
}

unsigned int currentClock()
{
	return clock() - clockTime;
}

void printClock(unsigned int clockTime)
{
	printf("%d ticks; %f (base time)\n", clockTime, 1.0);
}

void printClockCompare(unsigned int clockTime, unsigned int baseTime)
{
	printf("%d ticks; %f\n", clockTime, (float)clockTime / (float)baseTime);
}
