#include "testcpp.h"
#include "clock.h"
#include <cstdio>

namespace TestCpp
{
	class TestObject
	{
	public:
		virtual ~TestObject() {}
		virtual void vcall();
	};

	void TestObject::vcall()
	{
		
	}

	static TestObject * create()
	{
		return new TestObject;
	}
}

unsigned int testCpp(unsigned testCount)
{
	using namespace TestCpp;
	
	TestObject* object = create();
	startClock();
	for (unsigned i = 0; i < testCount; ++i)
		object->vcall();
	return currentClock();
}
